From 02ef21f484cb12cb39c72a8c35b5604daf678ffc Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Feb 01 2021 02:54:51 +0000
Subject: [PATCH 2077/2232] Ignore case convention lints in ffi module


The user may prefer to use C++ naming conventions rather than Rust
naming conventions on the language boundary, which isn't necessarily
bad.

---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 578d624..6b555d8 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -123,7 +123,7 @@ fn expand(ffi: Module, doc: Doc, attrs: OtherAttrs, apis: &[Api], types: &Types)
         #doc
         #attrs
         #[deny(improper_ctypes)]
-        #[allow(non_snake_case)]
+        #[allow(non_camel_case_types, non_snake_case)]
         #vis #mod_token #ident #expanded
     }
 }

